# WTOSC

This is a ruby wrapper for the pt-online-schema-change tool.

**Dependencies:**

- mysql
- pt-online-schema-change

**Usage:**

Create a migration as your normally would. Include the `WTOSC::MigrationHelper` file in a migration. Use the `pt_online_schema_change` method to execute the migration.

Example usage:

```ruby
class AddAliasToUsers < ActiveRecord::Migration[5.1]
  include WTOSC::MigrationHelper

  def change
    # Method for adding a column to a table
    add_column(:users, :alias, :string)
    # Method for a custom query
    queries.push(table: "users", query: "ADD COLUMN last_name VARCHAR(255)")
    # Eventual execution
    migrate!
  end
end
```

Run the migration as your normally would.
